Package com.microej.wear

## Class KernelServiceProvider

- java.lang.Object
- - com.microej.wear.KernelServiceProvider

-     public class KernelServiceProvider
      extends Object

  Provides the instance of every Kernel service to the Features.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KernelServiceProvider()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComponentService` | `getComponentService()` | Returns the component service instance.
    `static DeviceService` | `getDeviceService()` | Returns the device service instance.
    `static ExternalResourceService` | `getExternalResourceService()` | Returns the external resources service instance.
    `static FontService` | `getFontService()` | Returns the font service instance.
    `static HealthService` | `getHealthService()` | Returns the health service instance.
    `static ResourceService` | `getResourceService()` | Returns the resource service instance.
    `static Timer` | `getTimer()` | Returns the timer instance.
    `static TimeService` | `getTimeService()` | Returns the time service instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KernelServiceProvider

          public KernelServiceProvider()

  - ### Method Detail

    - #### getTimer

          public static Timer getTimer()

      Returns the timer instance.
      Returns:
        the timer instance.

    - #### getComponentService

          public static ComponentService getComponentService()

      Returns the component service instance.
      Returns:
        the component service instance.

    - #### getDeviceService

          public static DeviceService getDeviceService()

      Returns the device service instance.
      Returns:
        the device service instance.

    - #### getExternalResourceService

          public static ExternalResourceService getExternalResourceService()

      Returns the external resources service instance.
      Returns:
        the external resources service instance.

    - #### getFontService

          public static FontService getFontService()

      Returns the font service instance.
      Returns:
        the font service instance.

    - #### getHealthService

          public static HealthService getHealthService()

      Returns the health service instance.
      Returns:
        the health service instance.

    - #### getResourceService

          public static ResourceService getResourceService()

      Returns the resource service instance.
      Returns:
        the resource service instance.

    - #### getTimeService

          public static TimeService getTimeService()

      Returns the time service instance.
      Returns:
        the time service instance.